#include ONCE "window9.bi"

function GetClipBoardText() as string export
	
	dim as GtkClipboard ptr cb = gtk_clipboard_get(GDK_SELECTION_CLIPBOARD)
	
	if gtk_clipboard_wait_is_text_available(cb) then
		
		return *gtk_clipboard_wait_for_text(cb)	
		
	EndIf
	
End Function